Index: Makefile
===================================================================
--- Makefile	(revision 17635)
+++ Makefile	(working copy)
@@ -43,7 +43,6 @@
   endif
 endif
 
-
 ifeq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/postgresql $(CROSS_COMPILE_TARGET)/usr/local/pgsql/include $(CROSS_COMPILE_TARGET)/usr/include/pgsql $(CROSS_COMPILE_TARGET)/usr/local/include/pgsql $(CROSS_COMPILE_TARGET)/opt/pgsql/include $(CROSS_COMPILE_TARGET)/usr/include/libpq-fe.h),)
   MODS:=$(filter-out res_config_pgsql.so,$(MODS))
 endif
@@ -54,16 +53,12 @@
   SNMP_LDLIBS+=$(shell net-snmp-config --agent-libs)
 endif
 
-ifeq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/net-snmp/net-snmp-config.h),)
-  MODS:=$(filter-out res_snmp.so,$(MODS))
-else
-  SNMP_LDLIBS+=$(shell net-snmp-config --agent-libs)
-endif
-
 ifeq (${WITH_SMDI},)
   MODS:=$(filter-out res_smdi.so,$(MODS))
 endif
 
+MLFLAGS=
+
 # Now, go find postgresql libraries
 ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/postgresql),)
   CFLAGS+=-I$(CROSS_COMPILE_TARGET)/usr/include/postgresql
@@ -87,7 +82,7 @@
 
 ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/opt/pgsql/include),)
   CFLAGS+=-I$(CROSS_COMPILE_TARGET)/opt/pgsql/include
-  MLFLAGS+=-L$(CROSS_COMPILE_TARGET) /opt/pgsql/lib
+  MLFLAGS+=-L$(CROSS_COMPILE_TARGET)/opt/pgsql/lib
 endif
 
 ifneq ($(wilcard $(CROSS_COMPILE_TARGET)/usr/include/postgresql),)
@@ -98,7 +93,6 @@
   MLFLAGS+=-L$(CROSS_COMPILE_TARGET)/usr/lib
 endif
 
-
 ifeq (${OSARCH},CYGWIN)
   CYGSOLINK=-Wl,--out-implib=lib$@.a -Wl,--export-all-symbols
   CYGSOLIB=-L.. -L. -lasterisk.dll
@@ -111,8 +105,6 @@
 
 CFLAGS+=
 
-MLFLAGS=
-
 ifndef WITHOUT_ZAPTEL
 ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/linux/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/local/include/zaptel.h),)
   CFLAGS+=-DZAPATA_MOH
@@ -179,8 +171,6 @@
 res_config_pgsql.so: res_config_pgsql.o
 	$(CC) $(SOLINK) -o $@ ${CYGSOLINK} $< ${CYGSOLIB} -lpq -lz $(MLFLAGS)
 
-
-
 ifneq ($(wildcard .depend),)
   include .depend
 endif
